liblscp-dev_0.5.6-7_i386.deb


Advertisement

Description

liblscp-dev - Development files for LinuxSampler Control Protocol library

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: liblscp-dev
Package version: 0.5.6
Package release: 7
Package architecture: i386
Package type: deb
Installed size: 79 B
Download size: 11.37 KB
Official Mirror: ftp.br.debian.org
This package is for use with the LinuxSampler audio sampling engine / library and packages. Wraps the LinuxSampler network protocol and offers a convenient API in form of a C library. This package contains the header files needed for development with liblscp. You will need this only if you intend to compile programs that use this library.

Alternatives

    Download

    Source package: liblscp

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install liblscp-dev deb package:
      # sudo apt-get install liblscp-dev

    Files

    • /usr/include/lscp/client.h
    • /usr/include/lscp/device.h
    • /usr/include/lscp/event.h
    • /usr/include/lscp/socket.h
    • /usr/include/lscp/thread.h
    • /usr/include/lscp/version.h
    • /usr/lib/i386-linux-gnu/liblscp.so
    • /usr/lib/i386-linux-gnu/pkgconfig/lscp.pc
    • /usr/share/doc/liblscp-dev/changelog.Debian.gz
    • /usr/share/doc/liblscp-dev/changelog.gz
    • /usr/share/doc/liblscp-dev/copyright

    Changelog

    2014-04-04 - Paul Brossier <piem@debian.org> liblscp (0.5.6-7) unstable; urgency=medium * debian/{rules,control}: use dh-autoreconf to fix FTBFS on ppc64el, thanks to Logan Rosen (closes: #733838) * debian/control: bump debhelper and standards version

    2012-11-26 - Alessio Treglia <alessio@debian.org> liblscp (0.5.6-6) unstable; urgency=low * Make liblscp-doc properly Break/Replace liblscp-dev << 0.5.6-4 to fix a squeeze -> wheezy upgrade bug. (Closes: #694291)

    2012-01-26 - Alessio Treglia <alessio@debian.org> liblscp (0.5.6-5) unstable; urgency=low * Move doxygen from Build-Depends-Indep to Build-Depends to avoid FTBFS.

    2012-01-22 - Alessio Treglia <alessio@debian.org> liblscp (0.5.6-4) unstable; urgency=low * Move developers reference's HTML files from the -dev package into a new arch-indep package: liblscp-doc (Closes: #656881).

    2012-01-16 - Alessio Treglia <alessio@debian.org> liblscp (0.5.6-3) unstable; urgency=low * Introduce Multi-Arch. * Bump Standards. * Update debian/copyright.

    2011-02-09 - Alessio Treglia <alessio@debian.org> liblscp (0.5.6-2) unstable; urgency=low * Upload to unstable.

    2010-09-10 - Alessio Treglia <alessio@debian.org> liblscp (0.5.6-1) experimental; urgency=low * New upstream release. * Bump SONAME: liblscp2 -> liblscp6. * Add git-buildpackage config file. * New maintainer: Debian Multimedia Maintainers Team (Closes: #474527). * Add myself to Uploaders list. * Switch to format 3.0 (quilt). * Drop dpatch support, delete all obsolete patches. * Update watch file. * Add .gitignore file. * Switch to DH 7 + autotools_dev add-on. * Remove README.Debian, no longer necessary. * Build-Depends on autoconf, refresh automake build-dep. * Set the architecture of the -DEV package to all, make all required changes to keep it binNMUable. * Remove and skip debian/Makefile.*, they were provided by upstream's packaging and we don't need them anymore. * Drop static objects, drop libtool's junk (*.la files). * Update debian/copyright, adopt DEP-5 style proposal. * Nothing to install under /usr/share/aclocal, update install file. * Build and install the documentation. * Improve packages short description. * Update Standards to 3.9.1. * Move upstream's URL to source stanza. * Add -DBG package.

    2008-08-28 - Free Ekanayaka <freee@debian.org> liblscp (0.5.5-1+cvs080828) unstable; urgency=low * New cvs snapshot * Added myself to uploaders

    2007-10-17 - Free Ekanayaka <freee@debian.org> liblscp (0.5.5-0.1) unstable; urgency=low * Non-Maintainer upload * New upstream

    2007-06-12 - Free Ekanayaka <freee@debian.org> liblscp (0.5.3-0.1) unstable; urgency=low * New release * Non-Maintainer upload (Closes: #414823) * Bumped Standards-Version to 3.7.2 * Move liblscp to liblscp2 to reflect the so name change * Build-depend on automake1.9 (in case of cvs snapshots)

    Advertisement
    Advertisement